// When the user scrolls the page, execute myFunction
var winScroll = document.body.scrollTop || document.documentElement.scrollTop;
var height = document.documentElement.scrollHeight - document.documentElement.clientHeight;
var ar_content_timeline = Object.values(document.getElementsByClassName('content-timeline'));

window.onscroll = function() {myFunction()};

function myFunction() {
    winScroll = document.body.scrollTop || document.documentElement.scrollTop;
    height = document.documentElement.scrollHeight - document.documentElement.clientHeight;
    let scrolled = (winScroll / height) * 100;
    document.getElementById("logo-completo").style.setProperty("--p", scrolled + "%");
    if (scrolled == 0) {
        document.getElementById("navbar-top").style.setProperty("background-color", 'rgba(230, 230, 255, 0.0)');
        // document.getElementById("navbar:after").style.setProperty("background", 'rgba(0, 0, 0, 0)');
    } else {
        document.getElementById("navbar-top").style.setProperty("background-color", 'rgba(255, 255, 255, 1.0)');
        // document.getElementById("navbar:after").style.setProperty("background", '#555555');
    }
}

Object.values(document.getElementsByClassName('nav-item')).every( elem_drop => {
    elem_drop.addEventListener('touchend', (ev) => {
        // let flag_blck = false;
        // Object.values(ev.target.getElementsByClassName('dropdown-menu')).every( elem_menu => {
        //     if (elem_menu.style.display == 'block') {
        //         flag_blck = true;
        //         return false;
        //     }
        //     return true;
        // });
        // Object.values(document.getElementsByClassName('nav-item')).every( elem_item => {
        //     Object.values(elem_item.getElementsByClassName('dropdown-menu')).every( elem_menu => {
        //         elem_menu.style.display = 'none';
        //         return true;
        //     });
        //     return true;
        // });
        Object.values(ev.target.getElementsByClassName('dropdown-menu')).every( elem_menu => {
            // if (!flag_blck) {
            if (elem_menu.style.display != 'block') {
                elem_menu.style.display = 'block';
            } else {
                elem_menu.style.display = 'none';
            }
            return true;
        });
    });
    return true;
});

document.getElementById('div-sidenav').addEventListener('touchend', (ev) => {
    const vw = .01 * Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
    const vh = .01 * Math.max(document.documentElement.clientHeight, window.innerHeight || 0);
    if (ev.target.style.left == '0px') {
        ev.target.style.left = String(Math.min(9 * vh - 31 * vh, 11 * vw - 31 * vh)) + 'px';
    } else {
        ev.target.style.left = '0px';
    }
});

document.addEventListener('DOMContentLoaded', (ev) => {
    const elem_div = document.getElementById('div-sidenav-contents');
    let elem_a = null, elem_span = null;
    // Object.values(document.querySelectorAll("h1, h2, h3")).every( elem_hn => {
    Object.values(document.querySelectorAll('h1')).every( elem_hn => {
        strn_id = elem_hn.innerHTML.replace(/[^\x00-\x7F]/g, '').replace(/ /g, '_').toLowerCase();
        elem_hn.id = strn_id;
        elem_span = document.createElement('span');
        elem_span.innerHTML = elem_hn.innerHTML;
        elem_a = document.createElement('a');
        elem_a.href = '#' + elem_hn.id;
        elem_a.append(elem_span);
        elem_div.append(elem_a);

        return true;
    });

    if (winScroll != 0) {
        document.getElementById("navbar-top").style.setProperty("background-color", 'rgba(255, 255, 255, 1.0)');
    }
});

function timeline_fadeout_blur() {
    let alph = null, rect = null;
    let time_over_period = null;
    ar_content_timeline.every( elem_cont => {
        rect = elem_cont.getBoundingClientRect();
        time_over_period = .5 * (rect.top + rect.bottom) / window.innerHeight;
        alph = .5 * (1. - Math.cos(2. * Math.PI * Math.max(0, Math.min(1., time_over_period))));
        alph = alph ** .4;
        // alph = Math.max(1., 1. * alph ** .5);
        elem_cont.style.opacity = alph;
        elem_cont.style.filter = 'blur(' + (.5 * (1. - alph)) + 'rem)';
        return true;
    });
}

document.addEventListener('scroll', timeline_fadeout_blur);
// window.addEventListener('load', timeline_fadeout_blur);

Object.values(document.getElementsByClassName('team_card')).every( div_team_card => {
    div_team_card.addEventListener( 'click', (ev) => {
        display_team_text(ev);
    });
    Object.values(div_team_card.getElementsByTagName('img')).every( elem_img => {
        elem_img.addEventListener( 'click', (ev) => {
            display_team_text(ev);
        });
    });
    return true;
});

function display_team_text(ev) {
    let div_text = document.getElementById('team_member_text_content');
    let strn_text = '';
    elem_trgt = ev.target;
    if (elem_trgt.tagName.toLowerCase() == 'img')
        elem_trgt = elem_trgt.parentElement;
    console.log(elem_trgt);
    Object.values(elem_trgt.getElementsByTagName('p')).every( elem_p => {
        strn_text += elem_p.innerHTML + '<br>';
        return true;
    });
    if (8 < strn_text.length) {
        div_text.innerHTML = strn_text;

        document.getElementById('team_member_bg').style.display = 'block';
        document.getElementById('team_member_text').style.display = 'block';

        document.getElementById('team_member_bg').addEventListener('click', (ev) => {
            document.getElementById('team_member_bg').style.display = 'none';
            document.getElementById('team_member_text').style.display = 'none';
        });

        document.getElementById('team_member_text_close').addEventListener('click', (ev) => {
            document.getElementById('team_member_bg').style.display = 'none';
            document.getElementById('team_member_text').style.display = 'none';
        });
    }
}
