// let path_imgs = 'static/game-bc/imgs/'
let path_imgs = 'https://static.igem.wiki/teams/4435/wiki/game-bc/'
let canv = document.getElementById('canvas_main');
const ctxt_canv = canv.getContext('2d');
const dialog_language = document.getElementById('dialog_language');
const form_language = document.getElementById('form_language');
const fieldset_language = dialog_language.querySelector('fieldset');
let strn_lang = 'en-US';

let imag_fba0 = new Image();
let imag_ptrn = new Image();
let imag_gaug = new Image();
let imag_incr = new Image();
let imag_decr = new Image();
let imag_rset = new Image();
let imag_rset_down = new Image();
let imag_lang = new Image()
let dc_imag_bact = new Object();
let imag_bact = null;
let imag_nbcs = null;
let imag_prod = null;
let ar_colr_bact_v0 = ['rgba(169, 169, 169, 1)', // 0
                       'rgba(255,   0,   0, 1)', // 1
                       'rgba(255,  74,   0, 1)', // 2
                       'rgba(255, 110,   0, 1)', // 3
                       'rgba(255, 171,   0, 1)', // 4
                       'rgba(255, 200,   0, 1)', // 5
                       'rgba(249, 223,  13, 1)', // 6
                       'rgba(255, 255,   0, 1)', // 7
                       'rgba(206, 255,  10, 1)', // 8
                       'rgba(115, 255,   7, 1)', // 9
                       'rgba( 32, 218,  15, 1)', // 10
                       'rgba( 30, 153,  18, 1)', // 11
                       'rgba(  0, 128,   0, 1)', // 12
                      ];
let flag_asst_load = false;
let flag_mous_down = false;

let x0_left = null, y0_left = null, x1_left = null, y1_left = null;
let x0_rght = null, y0_rght = null, x1_rght = null, y1_rght = null;
let x0_lang = null, y0_lang = null, x1_lang = null, y1_lang = null;
let fctr = null;
let ws = null;
let hght_smol = null, wdth_smol = null;
let x0_totl = null, y0_totl = null
let wdth_prod = null, wdth_totl = null;
let xc_larg = null, yc_larg = null, rd_larg = null;
let xc_smol = null, yc_smol = null, rd_smol = null;
let x0_rset = null, y0_rset = null, rd_rset = null, xc_rset = null, yc_rset = null;
let x0_colony = null;
let x0_fba0 = null, y0_fba0 = null;
let wdth_fba0 = null, hght_fba0 = null;

let dc_bttn_pstn = new Object();
let dc_bttn_stat = new Object();
let dc_gaug_vals = new Object();
let ar_strn_gaug = ['gk', 'pgm', 'galU', 'ndp', 'dgc', 'bcs'];
let gluc_totl = 68.;
let gaug_vals_maxm = 10;
let nb_bact = null;
let strn_vers = 'v1';
let flag_debg = false;
let strn_gaug_down = null;

canv.width = window.innerWidth;
canv.height = window.innerHeight;
// ctxt_canv.fillStyle = 'rgba(225, 225, 150, 1)';
// ctxt_canv.fillRect(0, 0, window.innerWidth, window.innerHeight);
ctxt_canv.font = '50px serif';
ctxt_canv.textAlign = 'center';
ctxt_canv.textBaseline = 'middle';
ctxt_canv.fillStyle = 'black';
ctxt_canv.fillText('loading', .5 * canv.width, .5 * canv.height);

for (let id_rsrc = 0; id_rsrc <= 12; ++id_rsrc) {
    dc_imag_bact['v0_iGemFace' + String(id_rsrc).padStart(2, '0')] = new Image();
    dc_imag_bact['v1_iGemFace' + String(id_rsrc).padStart(2, '0')] = new Image();
}
for (let id_rsrc = 1; id_rsrc <= 10; ++id_rsrc) {
    dc_imag_bact['v0_bcs' + String(id_rsrc).padStart(2, '0')] = new Image();
    dc_imag_bact['v1_bcs' + String(id_rsrc).padStart(2, '0')] = new Image();
    dc_imag_bact['v0_prod' + String(id_rsrc).padStart(2, '0')] = new Image();
    dc_imag_bact['v1_prod' + String(id_rsrc).padStart(2, '0')] = new Image();
}
Object.keys(dc_imag_bact).forEach( strn_prop => {
    dc_imag_bact[strn_prop].onload = check_if_assets_loaded;
    strn_xtns = '.png';
    ar_strn_prop = strn_prop.split('_');
    if (ar_strn_prop[0] == 'v1' && ar_strn_prop[1] != 'iGemFace00')
        strn_xtns = '.svg';
    dc_imag_bact[strn_prop].src = (path_imgs + 'bacterium-' + ar_strn_prop[0] + '/'
                                   + ar_strn_prop[1].toLowerCase() + strn_xtns);
});

function gluc_avlb() {
    let gluc_avlb = gluc_totl;
    let gluc_minm = gluc_totl;
    Object.values(dc_gaug_vals).forEach( used => {
        gluc_avlb -= used;
        gluc_minm = Math.min(used, gluc_minm);
    });
    gluc_avlb -= 3. * dc_gaug_vals['bcs'];
    return gluc_avlb;
}

function gluc_surv() {
    // return Math.min(gluc_avlb(), 7 * Math.max(0, dc_gaug_vals['gk'] - dc_gaug_vals['pgm']));
    // return (0 < dc_gaug_vals['gk'] - dc_gaug_vals['pgm']) * gluc_avlb();
    return Math.min(gluc_avlb(), 9 * Math.max(0, dc_gaug_vals['gk'] - dc_gaug_vals['pgm']));
}

function gluc_minm_antc(id_gaug_excl) {
    let gluc_minm = gluc_totl;
    ar_strn_gaug.every( (strn_gaug, id_gaug) => {
        if (id_gaug == id_gaug_excl)
            return false;
        gluc_minm = Math.min(gluc_minm, dc_gaug_vals[strn_gaug]);
        return true;
    });
    return gluc_minm;
}

function reset_game() {
    ar_strn_gaug.forEach( strn_gaug => {
        dc_bttn_stat[strn_gaug] = [false, false];
        dc_gaug_vals[strn_gaug] = 1;
    });
    dc_gaug_vals['gk'] = 6;
}
dc_bttn_stat['reset'] = false;
reset_game();

document.body.scrollTop = 0; // Pull the page back up to the top.
document.body.style.overflow = 'hidden'; // Remove scrollbars.
canv.className = "fullscreen"

imag_fba0.onload = check_if_assets_loaded;
imag_ptrn.onload = check_if_assets_loaded;
imag_gaug.onload = check_if_assets_loaded;
imag_incr.onload = check_if_assets_loaded;
imag_decr.onload = check_if_assets_loaded;
imag_rset.onload = check_if_assets_loaded;
imag_rset_down.onload = check_if_assets_loaded;
imag_fba0.src = 'https://static.igem.wiki/teams/4435/wiki/pages/modeling/fig02.svg';
imag_ptrn.src = path_imgs + 'pattern-paper.jpg';
imag_gaug.src = path_imgs + 'gauge.png';
imag_incr.src = path_imgs + 'button-increase.png';
imag_decr.src = path_imgs + 'button-decrease.png';
imag_rset.src = path_imgs + 'button-reset.png';
imag_rset_down.src = path_imgs + 'button-reset-down.png';
imag_lang.src = path_imgs + 'button-languages.png';

function check_if_assets_loaded() {
    let flag_done = true;
    let flag_fail = false;
    [imag_fba0, imag_ptrn].forEach( imag => {
        if (!imag.complete)
            flag_done = false;
        else if (imag.naturalHeight == 0)
            flag_fail = true;
    });
    Object.keys(dc_imag_bact).forEach( strn_imag => {
        let imag = dc_imag_bact[strn_imag];
        if (!imag.complete) {
            flag_done = false;
        } else if (imag.naturalHeight == 0) {
            flag_fail = true;
            console.log('→ Failure loading "' + imag.src + '".');
        }
    });
    if (flag_done && !flag_fail && !flag_asst_load) {
        flag_asst_load = true;
        redraw_canvas();
    }
}

function redraw_canvas() {
    let x0_gaug = null, y0_gaug = null, wdth_gaug = null, hght_gaug = null;
    let nb_gaug_cols = 3;

    canv.width = window.innerWidth;
    canv.height = window.innerHeight;

    if (canv.width < canv.height) {
        x0_rght = 0;
        x1_rght = canv.width;
        y1_rght = Math.round(.5 * canv.height);
        y0_rght = .1 * y1_rght;
        x0_left = x0_rght;
        x1_left = x1_rght;
        y0_left = y1_rght + 1;
        y1_left = canv.height;
    } else {
        x0_left = 0;
        x1_left = Math.round(.5 * innerWidth);;
        y0_left = 0;
        y1_left = canv.height;
        x0_rght = x1_left + 1;
        x1_rght = canv.width;
        y1_rght = y1_left;
        y0_rght = .1 * y1_rght;
    }
    ws = Math.floor(.02 * (x1_rght - x0_rght));
    hs = Math.floor(.02 * (y1_rght - y0_rght));

    x1_lang = x1_rght - 5;
    y0_lang = 0 + 5;
    y1_lang = Math.round(.5 * y0_rght);
    x0_lang = x1_lang - (y1_lang - y0_lang) * imag_lang.naturalWidth / imag_lang.naturalHeight;

    nb_bact = Math.max(0, Math.min(12, Math.floor((gluc_surv() + 2) / 5)));
    hght_smol = Math.min(.04 * (y1_rght - y0_rght), 0.04 * (x1_rght - x0_rght));
    wdth_smol = hght_smol / 3.;
    wdth_prod = 3. * hght_smol;
    hght_prod = .6 * hght_smol;
    wdth_totl = 2. * hght_prod;
    hght_totl = 12 * (hght_smol + hs) - hs;
    x0_colony = x1_rght - wdth_smol - .5 * ws - wdth_prod - 2. * ws - wdth_totl - ws;
    fctr = Math.min((x1_left - x0_left - ws) / imag_fba0.naturalWidth,
                    .7 * (y1_left - y0_left) / imag_fba0.naturalHeight)
    wdth_fba0 = Math.floor(fctr * imag_fba0.naturalWidth);
    hght_fba0 = Math.floor(fctr * imag_fba0.naturalHeight);
    x0_fba0 = x0_left + ws;
    y0_fba0 = y0_left + Math.floor(.5 * (.7 * y1_left - y0_left - hght_fba0));

    ctxt_canv.clearRect(0, 0, canv.width, canv.height);
    // ctxt_canv.fillStyle = 'rgba(225, 225, 150, 1)';
    // ctxt_canv.fillRect(0, 0, canv.width, canv.height);
    draw_images();
    draw_colony(nb_bact, gluc_minm_antc(ar_strn_gaug.length) / gaug_vals_maxm);
    fctr = .25;
    draw_zoom_arrow();
    // fctr = Math.min(1., (canv.height / canv.width) / (8.8 / 16.));
    // wdth_gaug = fctr * 1.25 * .12 * canv.width;
    // hght_gaug = fctr * .025 * canv.width;
    wdth_gaug = Math.floor((x1_left - x0_left) / 3.) - 2 * ws;
    hght_gaug = Math.min(Math.floor(wdth_gaug / 4.),
                         Math.floor((y1_left - y0_fba0 - hght_fba0 - 6 * hs) / 4.));
    ar_strn_gaug.forEach ( (strn_gaug, id_gaug) => {
        // strn_gaug_prev = ar_strn_gaug[Math.max(0, id_gaug - 1)];
        x0_gaug = ws + (id_gaug % nb_gaug_cols) * (ws + wdth_gaug);
        y0_gaug = Math.floor((y0_fba0 + hght_fba0 + hs) + Math.floor(id_gaug / nb_gaug_cols) * 1.25 * hght_gaug);
        if (strn_gaug == 'bcs') {
            x0_gaug = ws + .25 * (ws + wdth_gaug);
            y0_gaug = Math.floor((y0_fba0 + hght_fba0 + hs) + (1 + Math.floor(id_gaug
                                                                              / nb_gaug_cols)) * 1.25 * hght_gaug);
            hght_gaug = Math.floor(2. * hght_gaug);
            wdth_gaug = Math.floor(2. * wdth_gaug);

            x0_rset = x1_left - ws - hght_gaug;
            y0_rset = y0_gaug;
            rd_rset = .5 * hght_gaug;
            xc_rset = x0_rset + rd_rset;
            yc_rset = y0_rset + rd_rset;
            if (dc_bttn_stat['reset']) {
                ctxt_canv.drawImage(imag_rset_down, x0_rset, y0_rset, hght_gaug, hght_gaug);
                ctxt_canv.beginPath();
                ctxt_canv.moveTo(x0_rset + .5 * hght_gaug, y0_rset + .5 * hght_gaug);
                ctxt_canv.arc(xc_rset, yc_rset, .5 * hght_gaug, 0., 2. * Math.PI);
                ctxt_canv.closePath();
                ctxt_canv.fillStyle = 'rgba(0, 0, 0, .125)';
                ctxt_canv.fill();
            } else {
                ctxt_canv.drawImage(imag_rset, x0_rset, y0_rset,
                                    hght_gaug, hght_gaug);
            }
        }
        draw_gauge_input(strn_gaug, x0_gaug, y0_gaug,
                         wdth_gaug, hght_gaug,
                         dc_gaug_vals[strn_gaug] / gaug_vals_maxm,
                         Math.min(gluc_minm_antc(id_gaug), dc_gaug_vals[strn_gaug]) / gaug_vals_maxm);
    });

    ctxt_canv.font = '20px serif';
    ctxt_canv.textAlign = 'right';
    ctxt_canv.textBaseline = 'bottom';
    ctxt_canv.fillStyle = 'black';
    if (flag_debg) {
        let ar_debg = [];
        ar_debg.push(strn_lang)
        ar_debg.push('gluc(' + gluc_avlb() + ')')
        ar_strn_gaug.forEach( strn_gaug => {
            ar_debg.push(strn_gaug + '(' + dc_gaug_vals[strn_gaug] + ')');
        });
        ctxt_canv.fillText(ar_debg.join(', '), .995 * x1_rght, .995 * y1_rght);
    }
}

function draw_small_bacterium(x, y, w, h, strn_colr) {
    ctxt_canv.beginPath();
    ctxt_canv.strokeStyle = 'black';
    ctxt_canv.fillStyle = strn_colr;
    ctxt_canv.arc(x + .5 * w, y + .5 * w, .5 * w, Math.PI, 0.);
    ctxt_canv.lineTo(x + w, y + h - .5 * w);
    ctxt_canv.arc(x + .5 * w, y + h - .5 * w, .5 * w, 0., Math.PI);
    ctxt_canv.closePath();
    ctxt_canv.fill();
    ctxt_canv.stroke();
}

function draw_small_production(x, y, w, h, prod) {
    let wdth_line = Math.round(.0025 * canv.height);
    let wdth_full = Math.round((w - 2. * wdth_line) * prod)
    ctxt_canv.beginPath();
    ctxt_canv.moveTo(x, y);
    ctxt_canv.lineTo(x + w, y);
    ctxt_canv.lineTo(x + w, y + h);
    ctxt_canv.lineTo(x, y + h);
    ctxt_canv.closePath();
    ctxt_canv.strokeStyle = 'black';
    ctxt_canv.lineWidth = wdth_line;
    ctxt_canv.fillStyle = 'rgba(0, 0, 0, .3)';
    ctxt_canv.stroke();
    ctxt_canv.fill();

    ctxt_canv.beginPath();
    ctxt_canv.moveTo(x + wdth_line, y + wdth_line);
    ctxt_canv.lineTo(x + wdth_line + wdth_full, y + wdth_line);
    ctxt_canv.lineTo(x + wdth_line + wdth_full, y + h - wdth_line);
    ctxt_canv.lineTo(x + wdth_line, y + h - wdth_line);
    ctxt_canv.lineWidth = 1;
    // ctxt_canv.fillStyle = 'lightgrey';
    ctxt_canv.fillStyle = ctxt_canv.createPattern(imag_ptrn, 'repeat');
    ctxt_canv.fill();
    ctxt_canv.closePath();
}

function draw_total_production(x, y, w, h, prod) {
    let wdth_line = Math.round(.0025 * canv.height);
    let hght_full = Math.round((h - 2. * wdth_line) * prod)
    ctxt_canv.beginPath();
    ctxt_canv.moveTo(x, y);
    ctxt_canv.lineTo(x + w, y);
    ctxt_canv.lineTo(x + w, y + h);
    ctxt_canv.lineTo(x, y + h);
    ctxt_canv.closePath();
    ctxt_canv.strokeStyle = 'black';
    ctxt_canv.lineWidth = wdth_line;
    ctxt_canv.fillStyle = 'rgba(0, 0, 0, .3)';
    ctxt_canv.stroke();
    ctxt_canv.fill();

    ctxt_canv.beginPath();
    ctxt_canv.moveTo(x + wdth_line, y + h - wdth_line);
    ctxt_canv.lineTo(x + wdth_line, y + h - wdth_line - hght_full);
    ctxt_canv.lineTo(x + w - wdth_line, y + h - wdth_line - hght_full);
    ctxt_canv.lineTo(x + w - wdth_line, y + h - wdth_line);
    ctxt_canv.closePath();
    ctxt_canv.lineWidth = 1;
    // ctxt_canv.fillStyle = 'lightgrey';
    ctxt_canv.fillStyle = ctxt_canv.createPattern(imag_ptrn, 'repeat');
    ctxt_canv.fill();
}

function draw_colony(nb, prod) {
    let x0 = x0_colony;
    let y0 = y0_rght + (12 - 1) * (hght_smol + hs) + hs;
    for (let id_bact = 0; id_bact <= nb; ++id_bact) {
        if (0 < id_bact && id_bact == nb)
            continue;
        draw_small_bacterium(x0, y0, wdth_smol, hght_smol, ar_colr_bact_v0[nb]);
        draw_small_production(x0 + wdth_smol + .5 * ws,
                              y0 + .5 * (hght_smol - hght_prod), wdth_prod, hght_prod, (0 < nb) * prod);
        y0 -= hght_smol + hs;
    }
    y0 = y0_rght + (12 - 1) * (hght_smol + hs) + hs;
    xc_smol = x0 + .5 * wdth_smol;
    yc_smol = y0 + .5 * hght_smol;
    rd_smol = .6 * hght_smol;
    ctxt_canv.beginPath();
    ctxt_canv.setLineDash([.6 * hght_smol * Math.PI / 8]);
    ctxt_canv.arc(xc_smol, yc_smol, rd_smol, 0., 2. * Math.PI);
    ctxt_canv.strokeStyle = 'green';
    ctxt_canv.lineWidth = 2;
    ctxt_canv.stroke();
    ctxt_canv.setLineDash([]);
    ctxt_canv.closePath();

    x0_totl = x1_rght - wdth_totl - ws;
    y0_totl = y0_rght + hs;
    draw_total_production(x0_totl, y0_totl, wdth_totl, hght_totl, prod * nb / 2.4);
}

function draw_images() {
    if (false && typeof dialog_language.showModal === 'function') {
        ctxt_canv.drawImage(imag_lang, x0_lang, y0_lang, x1_lang - x0_lang, y1_lang - y0_lang);
    } else {
        dialog_language.hidden = true;
    }

    ctxt_canv.drawImage(imag_fba0, x0_fba0, y0_fba0, wdth_fba0, hght_fba0);
    imag_bact = dc_imag_bact[strn_vers + '_iGemFace' + String(nb_bact).padStart(2, '0')];
    fctr = .95 * Math.min(.9 * (x0_colony - x0_rght) / imag_bact.naturalWidth,
                          (y1_rght - y0_rght) / imag_bact.naturalHeight)
    let w = fctr * imag_bact.naturalWidth;
    let h = fctr * imag_bact.naturalHeight;
    let x = x0_rght + ws;
    let y = Math.floor(.5 * (y1_rght - y0_rght - h));
    let nb_prod = gluc_minm_antc(ar_strn_gaug.length);
    xc_larg = x + .5 * w;
    yc_larg = y + .5 * h;
    rd_larg = .5 * h;
    ctxt_canv.drawImage(imag_bact, x, y, w, h);
    if (0 < dc_gaug_vals['bcs']) {
        imag_nbcs = dc_imag_bact[strn_vers + '_bcs' + String(dc_gaug_vals['bcs']).padStart(2, '0')];
        ctxt_canv.drawImage(imag_nbcs, x, y, w, h);
    }
    if (0 < nb_prod && 0 < nb_bact) {
        imag_prod = dc_imag_bact[strn_vers + '_prod' + String(nb_prod).padStart(2, '0')];
        ctxt_canv.drawImage(imag_prod, x, y, w, h);
    }
    ctxt_canv.setLineDash([h * Math.PI / 100.]);
    ctxt_canv.arc(xc_larg, yc_larg, rd_larg, 0., 2. * Math.PI);
    ctxt_canv.strokeStyle = 'green';
    ctxt_canv.lineWidth = 2;
    ctxt_canv.stroke();
    ctxt_canv.setLineDash([]);
}

function draw_zoom_arrow() {
    let dist_horz = xc_larg - xc_smol;
    let dist_vert = yc_larg - yc_smol;
    let dist = Math.sqrt(dist_horz * dist_horz + dist_vert * dist_vert);
    let vcos = dist_horz / dist;
    let vsin = dist_vert / dist;
    let d0_arrw = .01 * dist;
    let d1_arrw = .03 * dist;
    ctxt_canv.beginPath();
    ctxt_canv.moveTo(xc_smol + 1.5 * rd_smol * vcos,
                     yc_smol + 1.5 * rd_smol * vsin);
    ctxt_canv.lineTo(xc_larg - (1.15 * rd_larg * vcos) - 1. * d0_arrw * vsin,
                     yc_larg - (1.15 * rd_larg * vsin) + 1. * d0_arrw * vcos);
    ctxt_canv.lineTo(xc_larg - (1.15 * rd_larg * vcos) - 1. * d1_arrw * vsin,
                     yc_larg - (1.15 * rd_larg * vsin) + 1. * d1_arrw * vcos);
    ctxt_canv.lineTo(xc_larg - (1.05 * rd_larg * vcos) - 0. * d1_arrw * vsin,
                     yc_larg - (1.05 * rd_larg * vsin) + 0. * d1_arrw * vcos);
    ctxt_canv.lineTo(xc_larg - (1.15 * rd_larg * vcos) + 1. * d1_arrw * vsin,
                     yc_larg - (1.15 * rd_larg * vsin) - 1. * d1_arrw * vcos);
    ctxt_canv.lineTo(xc_larg - (1.15 * rd_larg * vcos) + 1. * d0_arrw * vsin,
                     yc_larg - (1.15 * rd_larg * vsin) - 1. * d0_arrw * vcos);
    ctxt_canv.closePath();
    ctxt_canv.fillStyle = 'green';
    ctxt_canv.fill();
    ctxt_canv.strokeStyle = 'green';
    ctxt_canv.stroke();
}

function draw_gauge_input(strn_name, x, y, w, h, prod, used) {
    let fctr = null;
    let wdth_text = .2 * w;
    let x0_aftr_text = x + .025 * w + wdth_text;
    let wdth_aftr_text = w - .025 * w - wdth_text;
    let x0_incr = x0_aftr_text, y0_incr = y;
    let x0_gaug = x0_aftr_text + .5 * (1. + 1.05 * Math.sqrt(1. - .7 ** 2.)) * h;
    let y0_fill = y + .25 * h;
    let wdth_fill = w - (x0_gaug - x) - (x0_gaug - x0_incr);
    let hght_fill = .5 * h;
    let y0_tube = y + .15 * h;
    let wdth_tube = wdth_fill;
    let hght_tube = .7 * h;

    ctxt_canv.font = '' + Math.round(.7 * hght_tube) + 'px serif';
    ctxt_canv.textAlign = 'right';
    ctxt_canv.textBaseline = 'middle';
    ctxt_canv.fillStyle = 'rgba(50, 120, 180, 1.0)';
    ctxt_canv.fillText(strn_name, x + wdth_text, y + .55 * h, 40 * w);

    ctxt_canv.beginPath();
    ctxt_canv.moveTo(x0_gaug, y0_fill);
    ctxt_canv.lineTo(x0_gaug + prod * wdth_fill, y0_fill);
    ctxt_canv.lineTo(x0_gaug + prod * wdth_fill, y0_fill + hght_fill);
    ctxt_canv.lineTo(x0_gaug, y0_fill + hght_fill);
    ctxt_canv.closePath();
    ctxt_canv.fillStyle = 'red';
    ctxt_canv.fill();

    ctxt_canv.beginPath();
    ctxt_canv.moveTo(x0_gaug, y0_fill);
    ctxt_canv.lineTo(x0_gaug + used * wdth_fill, y0_fill);
    ctxt_canv.lineTo(x0_gaug + used * wdth_fill, y0_fill + hght_fill);
    ctxt_canv.lineTo(x0_gaug, y0_fill + hght_fill);
    ctxt_canv.closePath();
    ctxt_canv.fillStyle = 'blue';
    ctxt_canv.fill();
    ctxt_canv.drawImage(imag_gaug, x0_gaug, y0_tube,
                        wdth_tube, hght_tube);

    if (dc_bttn_stat[strn_name][0]) {
        fctr = h / imag_incr.naturalHeight;
        ctxt_canv.save();
        ctxt_canv.scale(-1., -1.);
        ctxt_canv.drawImage(imag_incr, -x0_aftr_text, -y,
                            -fctr * imag_incr.naturalWidth, -fctr * imag_incr.naturalHeight);
        ctxt_canv.restore();
        ctxt_canv.beginPath();
        ctxt_canv.moveTo(x0_aftr_text + h, y + h);
        ctxt_canv.arc(x0_aftr_text + .5 * h, y + .5 * h, .5 * h, 0., 2. * Math.PI);
        ctxt_canv.closePath();
        ctxt_canv.fillStyle = 'rgba(0, 0, 0, .125)';
        ctxt_canv.fill();
    } else {
        fctr = h / imag_decr.naturalHeight;
        ctxt_canv.drawImage(imag_decr, x0_aftr_text, y,
                            fctr * imag_decr.naturalWidth, fctr * imag_decr.naturalHeight);
    }
    if (dc_bttn_stat[strn_name][1]) {
        fctr = h / imag_decr.naturalHeight;
        ctxt_canv.save();
        ctxt_canv.scale(-1., -1.);
        ctxt_canv.drawImage(imag_decr, -(x0_aftr_text + wdth_aftr_text - fctr * imag_incr.naturalWidth), -y,
                            -fctr * imag_decr.naturalWidth, -fctr * imag_decr.naturalHeight);
        ctxt_canv.restore();
        ctxt_canv.beginPath();
        ctxt_canv.moveTo(x0_aftr_text + h, y + h);
        ctxt_canv.arc(x0_aftr_text + .5 * h + wdth_aftr_text - h, y + .5 * h, .5 * h, 0., 2. * Math.PI);
        ctxt_canv.closePath();
        ctxt_canv.fillStyle = 'rgba(0, 0, 0, .125)';
        ctxt_canv.fill();
    } else {
        fctr = h / imag_incr.naturalHeight;
        ctxt_canv.drawImage(imag_incr, x0_aftr_text + wdth_aftr_text - fctr * imag_incr.naturalWidth, y,
                            fctr * imag_incr.naturalWidth, fctr * imag_incr.naturalHeight);
    }

    dc_bttn_pstn[strn_name] = [[x0_aftr_text + .5 * h, y + .5 * h, .5 * h],
                               [x0_aftr_text + wdth_aftr_text - .5 * h, y + .5 * h, .5 * h],
                               [x0_gaug, x0_gaug + wdth_fill, y0_fill, y0_fill + hght_fill]];
}

addEventListener('resize', (ev) => {
    if (flag_asst_load) {
        redraw_canvas();
    }
});

function slide_gauge(ev, strn_gaug, flag_pointer_just_down) {
    let x0_gaug = null, x1_gaug = null, y0_gaug = null, y1_gaug = null;
    let gluc_cost = 1;
    if (strn_gaug == 'bcs')
        gluc_cost = 4;
    x0_gaug = dc_bttn_pstn[strn_gaug][2][0];
    x1_gaug = dc_bttn_pstn[strn_gaug][2][1];
    y0_gaug = dc_bttn_pstn[strn_gaug][2][2];
    y1_gaug = dc_bttn_pstn[strn_gaug][2][3];
    if (x0_gaug <= ev.clientX && ev.clientX <= x1_gaug
        && y0_gaug <= ev.clientY && ev.clientY <= y1_gaug) {
        if (flag_pointer_just_down) {
            strn_gaug_down = strn_gaug;
        }
        if (strn_gaug == strn_gaug_down) {
            dc_gaug_vals[strn_gaug] = Math.min(Math.round(gaug_vals_maxm
                                                          * (ev.clientX - x0_gaug) / (x1_gaug - x0_gaug)),
                                               dc_gaug_vals[strn_gaug] + Math.floor(gluc_avlb() / gluc_cost));
        }
        redraw_canvas();
        return false;           // Break 'every' loop.
    // } else if (strn_gaug_down == strn_gaug) {
    //     strn_gaug_down = null;
    }
    return true;                // Continue 'every' loop.
}

addEventListener('pointermove', (ev) => {
    Object.keys(dc_bttn_pstn).every( strn_gaug => {
        if (2 < dc_bttn_pstn[strn_gaug].length) {
            return slide_gauge(ev, strn_gaug, false);
        }
        return true;
    });
});

addEventListener('pointerdown', (ev) => {
    let dist_horz = null, dist_vert = null;
    let flag_stop = false;
    if (ev.button != 0)
        return;
    dist_horz = ev.clientX - xc_rset;
    dist_vert = ev.clientY - yc_rset;
    if (dist_horz * dist_horz + dist_vert * dist_vert < rd_rset * rd_rset) {
        dc_bttn_stat['reset'] = true;
        reset_game();
        redraw_canvas();
    }
    Object.keys(dc_bttn_pstn).every( strn_gaug => {
        dc_bttn_pstn[strn_gaug].every( (ar_pstn, id_bttn) => {
            if (1 < id_bttn)
                return true;
            dist_horz = ev.clientX - ar_pstn[0];
            dist_vert = ev.clientY - ar_pstn[1];
            if (dist_horz * dist_horz + dist_vert * dist_vert < ar_pstn[2] * ar_pstn[2]) {
                dc_bttn_stat[strn_gaug][id_bttn] = true;
                redraw_canvas();
                if (id_bttn == 1) {
                    if (gluc_avlb() == 0
                        || (gluc_avlb() < 4 && strn_gaug == 'bcs')) {
                        flag_stop = true;
                        return false
                    }
                }
                dc_gaug_vals[strn_gaug] += id_bttn * 2 - 1;
                dc_gaug_vals[strn_gaug] = Math.min(Math.max(0, dc_gaug_vals[strn_gaug]), gaug_vals_maxm);
                flag_stop = true;
                return false;
            }
            return true;
        });
        if (flag_stop)
            return true;
        if (2 < dc_bttn_pstn[strn_gaug].length) {
            return slide_gauge(ev, strn_gaug, true);
        }
        return true;
    });
});

function pointerup(ev) {
    strn_gaug_down = null;
    if (dc_bttn_stat['reset']) {
        dc_bttn_stat['reset'] = false;
        redraw_canvas();
    }
    Object.keys(dc_bttn_pstn).every( strn_gaug => {
        dc_bttn_pstn[strn_gaug].every( (ar_pstn, id_bttn) => {
            dc_bttn_stat[strn_gaug][id_bttn] = false;
            redraw_canvas();
            return true;
        });
        return true;
    });
}

addEventListener('pointerup', (ev) => {
    if (ev.button != 0)
        return;
    pointerup(ev);
});

addEventListener('dblclick', (ev) => {
    let dist_horz = ev.clientX - xc_larg;
    let dist_vert = ev.clientY - yc_larg;
    strn_gaug_down = null;
    if (dist_horz * dist_horz + dist_vert * dist_vert < rd_larg * rd_larg) {
        if (strn_vers == 'v0')
            strn_vers = 'v1';
        else
            strn_vers = 'v0';
    }

    if (x0_totl < ev.clientX && ev.clientX < x0_totl + wdth_totl
        && y0_totl < ev.clientY && ev.clientY < y0_totl + hght_totl) {
        flag_debg = !flag_debg;
    }
    redraw_canvas();
});

addEventListener('click', (ev) => {
    if (x0_lang <= ev.clientX && ev.clientX <= x1_lang
        && y0_lang <= ev.clientY && ev.clientY <= y1_lang) {
        if (typeof dialog_language.showModal === "function") {
            dialog_language.showModal();
            dialog_language.style.top = String(y0_lang) + 'px';
            dialog_language.style.left = String(x1_lang - dialog_language.offsetWidth) + 'px';
            document.getElementById(strn_lang).checked = true;
        }
    }
});

fieldset_language.addEventListener('change', (ev) => {
    strn_lang = form_language['language'].value;
});

fieldset_language.addEventListener('click', (ev) => {
    setTimeout(() => {
        dialog_language.close();
        redraw_canvas();
    }, 100);
});

addEventListener('contextmenu', (ev) => {
    event.preventDefault()
    pointerup(ev);
});
